<template>
  <div class="layout__default">
    <topbar></topbar>
    <div class="page--main mt-3 pl-sm-2 pr-sm-2 pr-md-3 pl-md-3">
      <transition name="zoom-fade" mode="out-in">
        <router-view class="shadow-lg p-5 rounded" />
      </transition>
    </div>
  </div>
</template>

<script>
import TopBar from './parts/topbar.vue'
export default {
  name: 'LayoutDefault',
  components: {
    'topbar': TopBar
  },
  middleware: ['authenticate']
}
</script>
